# FoundationClasses
TKernel
TColStd

# TColStd_SequenceNodeOfSequenceOfTransient Class Reference

`#include <TColStd_SequenceNodeOfSequenceOfTransient.hxx>`

Inheritance diagram for TColStd_SequenceNodeOfSequenceOfTransient:

[legend]

## Public Member Functions

| TColStd_SequenceNodeOfSequenceOfTransient (const Handle(Standard_Transient)&I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
Handle_Standard_Transient & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Standard_Transient | myValue

## Constructor & Destructor Documentation

TColStd_SequenceNodeOfSequenceOfTransient::TColStd_SequenceNodeOfSequenceOfTransient | ( | const Handle(Standard_Transient)& | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const TColStd_SequenceNodeOfSequenceOfTransient::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_SeqNode.

Handle_Standard_Transient& TColStd_SequenceNodeOfSequenceOfTransient::Value | ( |  | ) | const

## Field Documentation

Handle_Standard_Transient TColStd_SequenceNodeOfSequenceOfTransient::myValue `[private]`

The documentation for this class was generated from the following file:

- TColStd_SequenceNodeOfSequenceOfTransient.hxx